# Uses of Interface
org.springframework.web.servlet.resource.VersionStrategy

Packages that use VersionStrategy
Package
Description
org.springframework.web.servlet.resource
Support classes for serving static resources.

## Uses of VersionStrategy in org.springframework.web.servlet.resource

Classes in org.springframework.web.servlet.resource that implement VersionStrategy
Modifier and Type
Class
Description
`class`
`AbstractVersionStrategy`
Abstract base class for `VersionStrategy` implementations.
`class`
`ContentVersionStrategy`
A `VersionStrategy` that calculates a Hex MD5 hash from the content of the resource and appends it to the file name, for example, `"styles/main-e36d2e05253c6c7085a91522ce43a0b4.css"`.
`class`
`FixedVersionStrategy`
A `VersionStrategy` that relies on a fixed version applied as a request path prefix, for example, reduced SHA, version name, release date, etc.
Methods in org.springframework.web.servlet.resource that return VersionStrategy
Modifier and Type
Method
Description
`protected VersionStrategy`
VersionResourceResolver.`getStrategyForPath(String requestPath)`
Find a `VersionStrategy` for the request path of the requested resource.
Methods in org.springframework.web.servlet.resource that return types with arguments of type VersionStrategy
Modifier and Type
Method
Description
`Map<String,VersionStrategy>`
VersionResourceResolver.`getStrategyMap()`
Return the map with version strategies keyed by path pattern.
Methods in org.springframework.web.servlet.resource with parameters of type VersionStrategy
Modifier and Type
Method
Description
`VersionResourceResolver`
VersionResourceResolver.`addVersionStrategy(VersionStrategy strategy, String... pathPatterns)`
Register a custom VersionStrategy to apply to resource URLs that match the given path patterns.
Method parameters in org.springframework.web.servlet.resource with type arguments of type VersionStrategy
Modifier and Type
Method
Description
`void`
VersionResourceResolver.`setStrategyMap(Map<String,VersionStrategy> map)`
Set a Map with URL paths as keys and `VersionStrategy` as values.